import Grafice as g
import Utile as u
import numpy as np
import pandas as pd


# Dictionary comprehension
# d1 = {'col'+str(i):u.Random(-1, 1, 25) for i in range(1, 5+1)}
# df1 = pd.DataFrame(d1, index=('lin'+str(i) for i in range(1, 25+1)))
# print(df1)

# List comprehension pentru generarea unei colectii de numere aleatoare intr-un interval de valori dat
l1 = u.Random(1, 100, 35)
print(l1)
print(l1.shape)
print(l1.itemsize)

# Creare numpy ndarray dintr-o lista de valori de tip <float>
npa = np.ndarray(shape=(7, 5), dtype=float, buffer=l1, order='C')
print("Numpy ndarray: \n", npa)
R2 = np.corrcoef(npa, rowvar=False)
print(R2)
g.cercul_corelatiilor(R2, 1, 3, 'Cerc al corelatiilor', 'Variabila 1', 'Variabila 3')
g.corelograma(R2, 'Matrice de corelatie')

d2 = {'col'+str(i):np.round(j, 2) for i in range(1, 10+1) for j in u.Random(1, 10, 1)}
g.histograma(list(d2.values()), list(d2.keys()))
g.valori_proprii(l1)

